GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Types | Private Attributes | List of all members
GpgFrontend::GpgUID Class Reference
Collaboration diagram for GpgFrontend::GpgUID:

## Public Member Functions
std::string | GetName () const
std::string | GetEmail () const
std::string | GetComment () const
std::string | GetUID () const
bool | GetRevoked () const
bool | GetInvalid () const
std::unique_ptr< std::vector< GpgTOFUInfo > > | GetTofuInfos () const
std::unique_ptr< std::vector< GpgKeySignature > > | GetSignatures () const
| GpgUID ()
| Construct a new Gpg U I D object. More...
| GpgUID (gpgme_user_id_t uid)
| Construct a new Gpg U I D object. More...
| GpgUID (GpgUID &&o) noexcept
| Construct a new Gpg U I D object. More...
| GpgUID (const GpgUID &)=delete
| Construct a new Gpg U I D object.
GpgUID & | operator= (GpgUID &&o) noexcept
GpgUID & | operator= (const GpgUID &)=delete

## Private Types
using | UidRefHandler = std::unique_ptr< struct _gpgme_user_id, std::function< void(gpgme_user_id_t)> >

## Private Attributes
UidRefHandler | uid_ref_ = nullptr

## Constructor & Destructor Documentation

## ◆ GpgUID() [1/3]

GpgFrontend::GpgUID::GpgUID | ( |  | ) |
| default

Construct a new Gpg U I D object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## ◆ GpgUID() [2/3]

GpgFrontend::GpgUID::GpgUID | ( | gpgme_user_id_t | uid | ) |
| explicit

Construct a new Gpg U I D object.

Parameters

  uid |

## ◆ GpgUID() [3/3]

GpgFrontend::GpgUID::GpgUID | ( | GpgUID && | o | ) |
| noexcept

Construct a new Gpg U I D object.

Parameters

  o |

## Member Function Documentation

## ◆ GetComment()

std::string GpgFrontend::GpgUID::GetComment | ( |  | ) | const

Returns
  std::string

## ◆ GetEmail()

std::string GpgFrontend::GpgUID::GetEmail | ( |  | ) | const

Returns
  std::string

## ◆ GetInvalid()

bool GpgFrontend::GpgUID::GetInvalid | ( |  | ) | const

Returns
  true
  false

## ◆ GetName()

std::string GpgFrontend::GpgUID::GetName | ( |  | ) | const

Returns
  std::string

## ◆ GetRevoked()

bool GpgFrontend::GpgUID::GetRevoked | ( |  | ) | const

Returns
  true
  false

## ◆ GetSignatures()

std::unique_ptr< std::vector< GpgFrontend::GpgKeySignature > > GpgFrontend::GpgUID::GetSignatures | ( |  | ) | const

Returns
  std::unique_ptr<std::vector<GpgKeySignature>>

## ◆ GetTofuInfos()

std::unique_ptr< std::vector< GpgFrontend::GpgTOFUInfo > > GpgFrontend::GpgUID::GetTofuInfos | ( |  | ) | const

Returns
  std::unique_ptr<std::vector<GpgTOFUInfo>>

## ◆ GetUID()

std::string GpgFrontend::GpgUID::GetUID | ( |  | ) | const

Returns
  std::string

## ◆ operator=() [1/2]

GpgUID& GpgFrontend::GpgUID::operator= | ( | const GpgUID & |  | ) |
| delete

Returns
  GpgUID&

## ◆ operator=() [2/2]

GpgUID& GpgFrontend::GpgUID::operator= | ( | GpgUID && | o | ) |
| noexcept

Parameters

  o |

Returns
  GpgUID&

The documentation for this class was generated from the following files:

- src/core/model/GpgUID.h
- src/core/model/GpgUID.cpp